
`define CORDIC_ROM_DATA_BW   16

module codric_rom (
	clock,					// clock input
	address,				// ROM address (0 to 15) : depneds on CORDIC iteration
	alpha_out,				// Alpha value : arctan(2^(-i))
	delta_out				// Delta value : 2^(-i)
);

	// Inputs
	input			clock;
	input	[3:0] 	address;

	// Outputs
	output	[`CORDIC_ROM_DATA_BW-1:0]	alpha_out;
	output	[`CORDIC_ROM_DATA_BW-1:0]	delta_out;

	// Regs
	reg		[`CORDIC_ROM_DATA_BW-1:0]	alpha_out;
	reg		[`CORDIC_ROM_DATA_BW-1:0]	delta_out;

	// ROM for alpha : arctan(2^(-i))
	always @ (negedge clock)
	begin
	    case (address)
		
		
		
	    endcase
	end

	// ROM for delta :  2^(-i)
	always @ (negedge clock)
	begin
	    case (address)
		
		
		
	    endcase
	end

endmodule
